Download it now!
Bug 104376 - Handles on the Ruler doesn't change according to the table column
Summary: Handles on the Ruler doesn't change according to the table column
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Rulers
  Show dependency treegraph
 
Reported: 2016-12-03 15:33 UTC by Mark Hung
Modified: 2018-05-30 13:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (48.51 KB, image/png)
2016-12-03 15:33 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2016-12-03 15:33:29 UTC
Created attachment 129282 [details]
Screenshot

1. Use Ctrl+shift+R to enable ruler.
2. Insert / Table to insert a new table with multiple columns.
3. Place cursor in the last column.


Handles ( left indent, first line indent, and right indent ) on the ruler should have reflected the size and position of the column. But it still spans across the whole page.
Comment 1 Buovjaga 2016-12-10 16:04:12 UTC
Repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 1fce5b024e9f25c3fcef2537a22474ece0dc416f
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on December 10th 2016
Comment 2 Commit Notification 2018-05-30 13:18:33 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ebe5f65a8d0e90ff577ea54ba69a10b967463b1a

tdf#104376 fix positions of the ruler handles for tables.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-05-30 13:18:39 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2608e2c9808274a434c412b9ce4f7961a8c45cc9

tdf#104376 activate existing protect item for the ruler.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-05-30 13:19:57 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0f4a3be259566f275da60472e6012a1c524bee2

tdf#104376 Adjust SvxLRSpaceItem with right distance to border.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.